net.minecraft.client.renderer.entity

## Class RenderBlaze

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity
    - - net.minecraft.client.renderer.entity.RenderLiving
      - - net.minecraft.client.renderer.entity.RenderBlaze

-     public class RenderBlaze
      extends RenderLiving

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `NAME_TAG_RANGE, NAME_TAG_RANGE_SNEAK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderBlaze()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
    `void` | `doRenderLiving(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
    `void` | `renderBlaze(EntityBlaze par1EntityBlaze, double par2, double par4, double par6, float par8, float par9)`
    `void` | `renderPlayer(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6, float par8, float par9)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `doRenderLiving, setRenderPassModel`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderBlaze

          public RenderBlaze()

  - ### Method Detail

    - #### renderBlaze

          public void renderBlaze(EntityBlaze par1EntityBlaze,
                         double par2,
                         double par4,
                         double par6,
                         float par8,
                         float par9)

    - #### doRenderLiving

          public void doRenderLiving(EntityLiving par1EntityLiving,
                            double par2,
                            double par4,
                            double par6,
                            float par8,
                            float par9)

      Overrides:
        `doRenderLiving` in class `RenderLiving`

    - #### renderPlayer

          public void renderPlayer(EntityLivingBase par1EntityLivingBase,
                          double par2,
                          double par4,
                          double par6,
                          float par8,
                          float par9)

      Overrides:
        `renderPlayer` in class `RenderLiving`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
      Overrides:
        `doRender` in class `RenderLiving`